<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.elytron-oidc-client.secure-server.credential" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="algorithm,client-key-alias,client-key-password,client-keystore-file,client-keystore-password,client-keystore-type,secret,token-timeout"/>
        <elem name="addr-params" value="subsystem,secure-server,credential"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron-oidc-client"/>
    </annotation>
    <refs>
        <ref feature="subsystem.elytron-oidc-client.secure-server"/>
        <ref feature="subsystem.elytron-oidc-client"/>
    </refs>
    <params>
        <param name="client-key-password" nillable="true" stability="default"/>
        <param name="client-keystore-file" nillable="true" stability="default"/>
        <param name="client-keystore-password" nillable="true" stability="default"/>
        <param name="credential" feature-id="true"/>
        <param name="secure-server" feature-id="true"/>
        <param name="client-key-alias" nillable="true" stability="default"/>
        <param name="subsystem" feature-id="true" default="elytron-oidc-client"/>
        <param name="secret" nillable="true" stability="default"/>
        <param name="token-timeout" nillable="true" stability="default"/>
        <param name="algorithm" nillable="true" stability="default"/>
        <param name="client-keystore-type" nillable="true" stability="default"/>
    </params>
</feature-spec>